PHP Manual
Prev |  | Next

# id3_remove_tag

(PECL)

id3_remove_tag -- Remove an existing ID3 tag

## Description

bool id3_remove_tag ( string filename [, int version] )

id3_remove_tag() is used to remove the information stored of an ID3 tag.

## Parameters

`filename`

  The path to the MP3 file

  Instead of a filename you may also pass a valid stream resource

`version`

  Allows you to specify the version of the tag as MP3 files may contain both, version 1.x and version 2.x tags.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. id3_remove_tag() example

`<?php $result = id3_remove_tag( "path/to/example.mp3", ID3_V1_0 ); if ($result === true) { echo "Tag succesfully removed\n"; } ?>`

If the file is writable and contained a 1.0 tag, this will output:

    Tag succesfully removed

## Notes

> Note: Currently id3_remove_tag() only supports version 1.0 and 1.1. If you choose to remove a 1.0 tag and the file contains a 1.1 tag, this tag will be removed, as v1.1 is only an extension of 1.0.

## See Also

id3_set_tag()
id3_get_tag()
id3_get_version()

Prev | Home | Next
id3_get_version | Up | id3_set_tag